CPAN::Testers::Fact::TestSummary(3)

NAME
CPAN::Testers::Fact::TestSummary - summary of a CPAN Testers analysis of a distribution

VERSION
version 1.999003

SYNOPSIS
  # assume $tr is an (upgraded) Test::Reporter object
  # that has the accessors below (it doesn't yet)

  my $fact = CPAN::Testers::Fact::TestSummary->new(
    resource => 'cpan:///distfile/RJBS/CPAN-Metabase-Fact-0.001.tar.gz',
    content     => {
      grade         => $tr->grade,
      osname        => $tr->osname,
      osversion     => $tr->osversion
      archname      => $tr->archname
      perl_version  => $tr->perl_version_number
    },
  );

DESCRIPTION
Summarize CPAN testers run -- this is equivalent to the content of the old email Subject line, plus explicit OS name and perl version, which previously had to be parsed out of the report

USAGE
See Metabase::Fact.

Todo:
  # XXX document valid grades, etc. -- dagolden, 2009-03-30

BUGS
Please report any bugs or feature using the CPAN Request Tracker. Bugs can be submitted through the web interface at http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report <http://rt.cpan.org/Dist/Display.html?Queue=CPAN-Testers-Report>

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

AUTHOR
David Golden <dagolden@cpan.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2015 by David Golden.

This is free software, licensed under:

  The Apache License, Version 2.0, January 2004